FixedHostRmiClientSocketFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.agent.FixedHostRmiClientSocketFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class FixedHostRmiClientSocketFactory

    java.lang.Object
      org.mule.module.management.agent.FixedHostRmiClientSocketFactory

All Implemented Interfaces:
  Serializable, RMIClientSocketFactory

    public class FixedHostRmiClientSocketFactory

extends Object
implements RMIClientSocketFactory, Serializable

This implementation will enforce specific overrideHost/ip for RMI calls on multi-NIC servers. TODO MULE-1440 this should probably be moved into the RMI transport.

See Also:
  Serialized Form

Constructor Summary
`FixedHostRmiClientSocketFactory()` Default constructor.
`FixedHostRmiClientSocketFactory(String overrideHost)` Create a new instance.

Method Summary
`Socket` | `createSocket(String host, int port)` Create a client socket connected to the specified overrideHost and port.
`String` | `getOverrideHost()` Getter for property 'overrideHost'.
`void` | `setOverrideHost(String overrideHost)` Setter for property 'overrideHost'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedHostRmiClientSocketFactory

    public FixedHostRmiClientSocketFactory()

  Default constructor.

### FixedHostRmiClientSocketFactory

    public FixedHostRmiClientSocketFactory(String overrideHost)

  Create a new instance.

  Parameters:
    `overrideHost` - host/ip to enforce

Method Detail

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException

  Create a client socket connected to the specified overrideHost and port.

  Specified by:
    `createSocket` in interface `RMIClientSocketFactory`
  Parameters:
    `host` - the host name IGNORED if an override configured
    `port` - the port number
  Returns:
    a socket connected to the specified overrideHost and port.
  Throws:
    `IOException` - if an I/O error occurs during socket creation

### getOverrideHost

    public String getOverrideHost()

  Getter for property 'overrideHost'.

  Returns:
    Value for property 'overrideHost'.

### setOverrideHost

    public void setOverrideHost(String overrideHost)

  Setter for property 'overrideHost'.

  Parameters:
    `overrideHost` - Value to set for property 'overrideHost'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.